package com.company.compliancetest.entity;

import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;

@Table(name = "COMPLIANCETEST_COMPLIANCE_ACTION")
@Entity(name = "compliancetest_ComplianceAction")
public class ComplianceAction extends StandardEntity {
    private static final long serialVersionUID = 3582405681719439106L;

    @Column(name = "ACTION_")
    private String action;
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "COMPLIANCE_ID")
    private Compliance compliance;

    public Compliance getCompliance() {
        return compliance;
    }

    public void setCompliance(Compliance compliance) {
        this.compliance = compliance;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }
}